//  OF-extend Revision: $Id$ 
/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright  held by original author
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is based on OpenFOAM.

    OpenFOAM is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM; if not, write to the Free Software Foundation,
    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

Class
    stdoutFromCommandProvider

Description
    Excutes a command and uses the stdout as the basis for the dicitionary

SourceFiles
    stdoutFromCommandProvider.C

\*---------------------------------------------------------------------------*/

#ifndef stdoutFromCommandProvider_H
#define stdoutFromCommandProvider_H

#include "dynamicFunctionObjectListProxy.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{

/*---------------------------------------------------------------------------*\
                           Class stdoutFromCommandProvider Declaration
\*---------------------------------------------------------------------------*/

class stdoutFromCommandProvider
:
    public dynamicFunctionObjectListProxy::dynamicDictionaryProvider
{
    
    string theCommand_;

public:
    
    TypeName("stdoutFromCommandProvider");

    stdoutFromCommandProvider(
        const dictionary&,
        const dynamicFunctionObjectListProxy &
    );

    string getDictionaryText();
};


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

} // End namespace Foam


// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#endif

// ************************************************************************* //
